GET
/
api
/
v1
/
tasks
Get All Tasks
curl --request GET \
  --url https://api.jobsim.work/api/v1/tasks/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "task_id": "<string>",
    "task_description": "<string>",
    "assigned_by": "<string>",
    "assigned_to": "<string>",
    "date_assigned": "<string>",
    "deadline": "<string>",
    "time_last_checked": "<string>",
    "status": "<string>",
    "message_count": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

task_id
string
required
task_description
string
required
assigned_by
string
required
assigned_to
string
required
date_assigned
required
deadline
string
required
time_last_checked
required
status
string
required
message_count
integer
required